package com.mobile.action;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mobile.util.Base64;

/**
 * Servlet implementation class SnapPicAction
 */
public class SnapPicAction extends HttpServlet {
    private static final long serialVersionUID = 1L;

    public SnapPicAction() {
        super();
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        System.out.println("--- doGet SnapPicAction");

        request.setCharacterEncoding("UTF-8");
        String name = request.getParameter("username");
        String passwd = request.getParameter("password");
        String result = "username="+name+" password="+passwd;
        System.out.println(result);

        response.setContentType("text/html;charset=utf-8");
        PrintWriter pw = response.getWriter();
        pw.append("Served at: ").append(request.getContextPath());
        pw.println(result);
        pw.close();
        pw=null;

    }

    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=utf8");

        System.out.println("--- doPost SnapPicActionn --------------------");
        String date = request.getParameter("date");
        String pic = request.getParameter("pic");
        System.out.println("***step0 pic=" + pic);
        int beginIdx = pic.indexOf("\"") + 1;
        int lastIdx = pic.lastIndexOf("\"");

        String base64Pic = pic.substring(beginIdx, lastIdx).replace("data:image/png;base64,", "");

        decodeBase64ToImage(base64Pic, "/usr/local/coders/", "snapPic"+date+".png");

    }

    public static void decodeBase64ToImage(String base64, String path, String imgName) {
        try {
            FileOutputStream write = new FileOutputStream(new File(path + imgName));
            byte[] decoderBytes = Base64.decode(base64);
            write.write(decoderBytes);
            write.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }


}