package com.mobile.message.response;

import com.mobile.message.request.BaseMessage;
import com.mobile.util.MessageUtil;

/**
 * 文本消息
 *
 * @author liufeng
 * @date 2013-05-19
 */
public class TextResponse extends BaseResponse {
    // 回复的消息内容
    private String Content;

    public TextResponse(String toUserName,String fromUserName, String msgType,String content){
        super(toUserName,fromUserName,msgType);
        this.Content=content;
    }
    public TextResponse(BaseMessage baseMessage,
                         String content){
        super(baseMessage);
        this.setMsgType(MessageUtil.RESP_MESSAGE_TYPE_TEXT);
        this.Content=content;
    }

    public String getContent() {
        return Content;
    }

    public void setContent(String content) {
        Content = content;
    }
}